Skip to main content
POST
/
v1
/
webhooks
/
register-dome
Register Dome
curl --request POST \
  --url https://api.example.com/v1/webhooks/register-dome \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dome_url": "<string>"
}
'
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dome_url": "<string>",
  "status": "ok"
}

Headers

X-Webhook-Api-Key
string | null

Body

application/json

Request body for register-dome webhook.

agent_id
string<uuid>
required

The agent being protected

team_id
string<uuid>
required

Team that owns the agent

dome_url
string<uri>
required

Base URL of the Dome instance

Required string length: 1 - 2083

Response

Successful Response

Success response for register-dome webhook.

agent_id
string<uuid>
required
team_id
string<uuid>
required
dome_url
string
required
status
string
default:ok
Last modified on April 21, 2026